xsec-xtest.pod(1)

NAME
xmlsec-xtest - Perform run-time tests of the XML Security library

SYNOPSIS
xmlsec-xtest [--help] [-p]

DESCRIPTION
xmlsec-xtest performs a set of run-time tests against the Apache XML Security for C++ library. This is rarely of interest to a user of the library, but it can be used as a sanity check to ensure that the library is working properly.

OPTIONS
Note that the single-character options must still occur as separate options on the command line. In other words, -pe to specify both the -p and -e options is not allowed.

--help
    Print out usage information and exit.

--print-docs, -p
    Print out the test documents while running each test.

--encryption-only, -e
--encryption-unit-only, -u
--signature-only, -s
--signature-unit-only, -t
--xkms-only, -x
    By default, xmlsec-xtest runs all of the tests. One of these options may be specified to run only that set of tests. All of these options are mutually exclusive; at most one of them should be specified.

AUTHOR
This manual page was written by Russ Allbery for Debian.

MANUAL LICENSE
The authors hereby relinquish any claim to any copyright that they may have in this work, whether granted under contract or by operation of law or international treaty, and hereby commit to the public, at large, that they shall not, at any time in the future, seek to enforce any copyright in this work against any person or entity, or prevent any person or entity from copying, publishing, distributing or creating derivative works of this work.